complexType "DirectionalLeg"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 7 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 6 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | legIdentifier*, payerPartyReference?, payerAccountReference?, receiverPartyReference?, receiverAccountReference?, effectiveDate?, terminationDate?
</...>

Content Model Elements (7):

  effectiveDate (defined in DirectionalLeg complexType),
  legIdentifier,
  payerAccountReference,
  payerPartyReference (defined in PayerReceiver.model group),
  receiverAccountReference,
  receiverPartyReference (defined in PayerReceiver.model group),
  terminationDate (defined in DirectionalLeg complexType)

Known Direct Subtypes (5):

  DirectionalLegUnderlyer, FixedPaymentLeg, InterestLeg, ReturnSwapLegUnderlyer, UnderlyerInterestLeg

Known Indirect Subtypes (5):

  CorrelationLeg, DirectionalLegUnderlyerValuation, DividendLeg, ReturnLeg, VarianceLeg

All Direct / Indirect Based Elements (9):

  correlationLeg,
  dividendLeg,
  fixedLeg (defined in DividendSwapTransactionSupplement complexType),
  interestLeg,
  returnLeg,
  returnSwapLeg,
  underlyerFinancing,
  varianceLeg (defined in VarianceSwapTransactionSupplement complexType),
  varianceLeg (in varianceSwap)

Known Usage Locations

- In derivations of other global types (5):

  DirectionalLegUnderlyer (as extension base), FixedPaymentLeg (as extension base), InterestLeg (as extension base), | ReturnSwapLegUnderlyer (as extension base), UnderlyerInterestLeg (as extension base)

- As direct type of elements (1):
  returnSwapLeg

Annotation
An abstract base class for all directional leg types with effective date, termination date, where a payer makes a stream of payments of greater than zero value to a receiver.
Type Definition Detail

Type Derivation Tree Leg (extension) DirectionalLeg

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType abstract="true" name="DirectionalLeg"> <xsd:complexContent> <xsd:extension base="Leg"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="legIdentifier" type="LegIdentifier"/> <xsd:group ref="PayerReceiver.model"/> <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableOrRelativeDate"/> <xsd:element minOccurs="0" name="terminationDate" type="AdjustableOrRelativeDate"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/7)
effectiveDate

  Type: | AdjustableOrRelativeDate, complex content

  Specifies the effective date of this leg of the swap. When defined in relation to a date specified somewhere else in the document (through the relativeDate component), this element will typically point to the effective date of the other leg of the swap.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableOrRelativeDate"/>

legIdentifier

  Type: | LegIdentifier, complex content

  Version aware identification of this leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="legIdentifier" type="LegIdentifier"/>

terminationDate

  Type: | AdjustableOrRelativeDate, complex content

  Specifies the termination date of this leg of the swap. When defined in relation to a date specified somewhere else in the document (through the relativeDate component), this element will typically point to the termination date of the other leg of the swap.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="terminationDate" type="AdjustableOrRelativeDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.